Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.cluster.singleton
Class MigrationDataRuntimeMBeanImpl

    java.lang.Object
      weblogic.management.runtime.RuntimeMBeanDelegate
          weblogic.cluster.singleton.MigrationDataRuntimeMBeanImpl

All Implemented Interfaces:
  DynamicMBean, MBeanRegistration, NotificationBroadcaster, weblogic.management.runtime.MigrationDataRuntimeMBean, weblogic.management.runtime.RuntimeMBean, WebLogicMBean

    public class MigrationDataRuntimeMBeanImpl

extends weblogic.management.runtime.RuntimeMBeanDelegate
implements weblogic.management.runtime.MigrationDataRuntimeMBean

Field Summary

Fields inherited from class weblogic.management.runtime.RuntimeMBeanDelegate
`descriptor, name, parent, registered, type`

Fields inherited from interface weblogic.management.runtime.MigrationDataRuntimeMBean
`FAILED, IN_PROGRESS, SUCCEEDED`

Constructor Summary
`MigrationDataRuntimeMBeanImpl(MigrationData data)` Used for binding into DomainRuntimeMBean on the admin server alone

Method Summary
`String` | `getClusterMasterName()`
`String` | `getClusterName()`
`String` | `getMachineMigratedFrom()`
`String` | `getMachineMigratedTo()`
`String[]` | `getMachinesAttempted()`
`long` | `getMigrationEndTime()`
`long` | `getMigrationStartTime()`
`String` | `getServerName()`
`int` | `getStatus()`
`void` | `update(MigrationData data)`

Methods inherited from class weblogic.management.runtime.RuntimeMBeanDelegate
`_createHelper, _postSet, _postSet, _postSet, _postSet, _postSet, addChild, addNotificationListener, addPropertyChangeListener, createChildCopy, getAttribute, getAttributes, getMBeanInfo, getName, getNotificationInfo, getObjectName, getParent, getParentAttribute, getRegistrationManager, getType, invoke, isCachingDisabled, isEditable, isRegistered, pluralize, postDeregister, postRegister, preDeregister, preRegister, register, removeChild, removeNotificationListener, removePropertyChangeListener, setAttribute, setAttributes, setName, setParent, setType, unregister`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface weblogic.management.runtime.RuntimeMBean
`addPropertyChangeListener, preDeregister, removePropertyChangeListener`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Constructor Detail

### MigrationDataRuntimeMBeanImpl

    public MigrationDataRuntimeMBeanImpl(MigrationData data)
                                  throws ManagementException

  Used for binding into DomainRuntimeMBean on the admin server alone

  Throws:
    `ManagementException`

Method Detail

### getServerName

    public String getServerName()

  Specified by:
    `getServerName` in interface `weblogic.management.runtime.MigrationDataRuntimeMBean`

### getStatus

    public int getStatus()

  Specified by:
    `getStatus` in interface `weblogic.management.runtime.MigrationDataRuntimeMBean`

### getMachineMigratedFrom

    public String getMachineMigratedFrom()

  Specified by:
    `getMachineMigratedFrom` in interface `weblogic.management.runtime.MigrationDataRuntimeMBean`

### getMachinesAttempted

    public String[] getMachinesAttempted()

  Specified by:
    `getMachinesAttempted` in interface `weblogic.management.runtime.MigrationDataRuntimeMBean`

### getMachineMigratedTo

    public String getMachineMigratedTo()

  Specified by:
    `getMachineMigratedTo` in interface `weblogic.management.runtime.MigrationDataRuntimeMBean`

### getMigrationStartTime

    public long getMigrationStartTime()

  Specified by:
    `getMigrationStartTime` in interface `weblogic.management.runtime.MigrationDataRuntimeMBean`

### getMigrationEndTime

    public long getMigrationEndTime()

  Specified by:
    `getMigrationEndTime` in interface `weblogic.management.runtime.MigrationDataRuntimeMBean`

### getClusterName

    public String getClusterName()

  Specified by:
    `getClusterName` in interface `weblogic.management.runtime.MigrationDataRuntimeMBean`

### getClusterMasterName

    public String getClusterMasterName()

  Specified by:
    `getClusterMasterName` in interface `weblogic.management.runtime.MigrationDataRuntimeMBean`

### update

    public void update(MigrationData data)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD